---
title: "查询退货单"
description: "根据提供的退货单号或订单号查询相应的退货单详情。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/query-returns'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/return-order/query-returns.md'
---
# 查询退货单

根据提供的退货单号或订单号查询相应的退货单详情。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_returns`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /return.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_returns`

## Request

### Query Parameters

* `id`

  string (optional)

  退货单 ID，用于指定要查询的退货单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须提供一个，或者两个都提供）。

* `order_id`

  string (optional)

  订单 ID，用于指定要查询的订单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须填写一个，或者两个都提供）。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `422`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `returns`

  array<object>

  退货单的详细信息。

  * `id`

    string

    退货单的唯一标识符 ID。  

  * `order_id`

    string

    订单的唯一标识符 ID。  

  * `return_line_items`

    array<object>

    退货商品列表。

    * `return_reason`

      string

      商品行的退货原因。有效枚举值包含：
      - `COLOR`：颜色问题
      - `DEFECTIVE`：商品损坏或有缺陷
      - `NOT_AS_DESCRIBED`：商品与描述不符
      - `OTHER`：其他原因
      - `SIZE_TOO_LARGE`：尺寸太大  
      - `SIZE_TOO_SMALL`：尺寸太小  
      - `STYLE`：款式问题  
      - `UNWANTED`：客户改变了主意
      - `WRONG_ITEM`：收到了错误的商品

    * `return_reason_note`

      string

      商品行退货原因详细信息备注。

    * `fulfillment_id`

      string

      由退货单关联的发货单的唯一标识符 ID。

    * `fulfillment_line_item`

      object

      退货单关联的发货单信息。

      * `line_item`

        object

        发货单商品行信息。

      * `quantity`

        integer

        发货单对应的发货数量。

    * `id`

      string

      退货商品行号。

    * `quantity`

      integer

      退货单对应的商品退货数量。

  * `return_reason`

    string

    商品退货原因。

  * `status`

    string

    退货单状态。
    - `OPEN`：退货中
    - `CLOSED`：退货完成且已退款完成

  * `created_at`

    string

    退货单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。  
    
    例子: `2024-08-31T02:20:26+08:00`


#### 401

* `errors`

  string

  错误描述。


#### 422

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "根据提供的退货单号或订单号查询相应的退货单详情。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_returns` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "sX0zNgma",
  "parameters": [
    {
      "name": "id",
      "in": "query",
      "description": "退货单 ID，用于指定要查询的退货单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须提供一个，或者两个都提供）。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "id",
        "description": "退货单 ID，用于指定要查询的退货单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须提供一个，或者两个都提供）。",
        "type": "string",
        "example": "2605860580357012238342"
      },
      "example": "2605860580357012238342",
      "examples": {
        "根据指定的订单 ID 查询。": {
          "value": "2605860580357012238342"
        }
      }
    },
    {
      "name": "order_id",
      "in": "query",
      "description": "订单 ID，用于指定要查询的订单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须填写一个，或者两个都提供）。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "order_id",
        "description": "订单 ID，用于指定要查询的订单的唯一标识符 ID（退货单 ID 与订单 ID 两者必须填写一个，或者两个都提供）。",
        "type": "string",
        "example": "21058605762597644309430942"
      },
      "example": "21058605762597644309430942",
      "examples": {
        "根据指定的订单 ID 查询。": {
          "value": "21056723668607440019421941"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "returns": {
                "name": "returns",
                "description": "退货单的详细信息。",
                "type": "array",
                "items": {
                  "name": "returns",
                  "description": "退货单的详细信息。",
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "退货单的唯一标识符 ID。  ",
                      "type": "string",
                      "example": "2605860580357012238342"
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "订单的唯一标识符 ID。  ",
                      "type": "string",
                      "example": "21058605762597644309430942"
                    },
                    "return_line_items": {
                      "name": "return_line_items",
                      "description": "退货商品列表。",
                      "type": "array",
                      "items": {
                        "name": "return_line_items",
                        "description": "退货商品列表。",
                        "type": "object",
                        "properties": {
                          "return_reason": {
                            "name": "return_reason",
                            "description": "商品行的退货原因。有效枚举值包含：\n- `COLOR`：颜色问题\n- `DEFECTIVE`：商品损坏或有缺陷\n- `NOT_AS_DESCRIBED`：商品与描述不符\n- `OTHER`：其他原因\n- `SIZE_TOO_LARGE`：尺寸太大  \n- `SIZE_TOO_SMALL`：尺寸太小  \n- `STYLE`：款式问题  \n- `UNWANTED`：客户改变了主意\n- `WRONG_ITEM`：收到了错误的商品",
                            "type": "string",
                            "example": "NOT_AS_DESCRIBED"
                          },
                          "return_reason_note": {
                            "name": "return_reason_note",
                            "description": "商品行退货原因详细信息备注。",
                            "type": "string",
                            "example": "Product does not match the description"
                          },
                          "fulfillment_id": {
                            "name": "fulfillment_id",
                            "description": "由退货单关联的发货单的唯一标识符 ID。",
                            "type": "string",
                            "example": "RPP5873267430525507606"
                          },
                          "fulfillment_line_item": {
                            "name": "fulfillment_line_item",
                            "description": "退货单关联的发货单信息。",
                            "type": "object",
                            "properties": {
                              "line_item": {
                                "name": "line_item",
                                "description": "发货单商品行信息。",
                                "type": "object",
                                "properties": {
                                  "requires_shipping": {
                                    "name": "requires_shipping",
                                    "description": "商品是否需要发货。  \n- `true`：需要发货  \n- `false`：不需要发货",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "variant_title": {
                                    "name": "variant_title",
                                    "description": "商品属性值，多个以 \" / \" 分割。",
                                    "type": "string",
                                    "example": "L/Red"
                                  },
                                  "fulfillment_service": {
                                    "name": "fulfillment_service",
                                    "description": "物流商名称。",
                                    "type": "string",
                                    "example": "Sf international"
                                  },
                                  "id": {
                                    "name": "id",
                                    "description": "商品行 ID。",
                                    "type": "string",
                                    "example": "405"
                                  },
                                  "title": {
                                    "name": "title",
                                    "description": "该商品的标题。",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "tax_lines": {
                                    "name": "tax_lines",
                                    "description": "该商品税费信息。",
                                    "type": "array",
                                    "items": {
                                      "name": "tax_lines",
                                      "description": "该商品税费信息。",
                                      "type": "object",
                                      "properties": {
                                        "price": {
                                          "name": "price",
                                          "description": "税费金额。  ",
                                          "type": "string",
                                          "example": "18.00"
                                        },
                                        "price_set": {
                                          "name": "price_set",
                                          "description": "按照店铺币种和交易币种计价的税费金额。",
                                          "type": "object",
                                          "properties": {
                                            "presentment_money": {
                                              "name": "presentment_money",
                                              "description": "买家侧币种金额信息。",
                                              "type": "object",
                                              "properties": {
                                                "amount": {
                                                  "name": "amount",
                                                  "description": "交易币种税费金额。",
                                                  "type": "string",
                                                  "example": "18.00"
                                                },
                                                "currency_code": {
                                                  "name": "currency_code",
                                                  "description": "交易币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                                                  "type": "string",
                                                  "example": "USD"
                                                }
                                              },
                                              "example": {
                                                "currency_code": "USD",
                                                "amount": "18.00"
                                              }
                                            },
                                            "shop_money": {
                                              "name": "shop_money",
                                              "description": "店铺币种金额信息。",
                                              "type": "object",
                                              "properties": {
                                                "currency_code": {
                                                  "name": "currency_code",
                                                  "description": "交易币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                                                  "type": "string",
                                                  "example": "USD"
                                                },
                                                "amount": {
                                                  "name": "amount",
                                                  "description": "店铺币种税费金额。",
                                                  "type": "string",
                                                  "example": "18.00"
                                                }
                                              },
                                              "example": {
                                                "amount": "18.00",
                                                "currency_code": "USD"
                                              }
                                            }
                                          },
                                          "example": {
                                            "presentment_money": {
                                              "amount": "18.00",
                                              "currency_code": "USD"
                                            },
                                            "shop_money": {
                                              "amount": "18.00",
                                              "currency_code": "USD"
                                            }
                                          }
                                        },
                                        "rate": {
                                          "name": "rate",
                                          "description": "税率。该信息只做展示作用。",
                                          "type": "double",
                                          "example": 0.02
                                        },
                                        "title": {
                                          "name": "title",
                                          "description": "税费说明标题。该信息只做展示作用。",
                                          "type": "string",
                                          "example": "CNMP"
                                        }
                                      },
                                      "example": {
                                        "price_set": {
                                          "presentment_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          },
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        },
                                        "rate": 0.02,
                                        "title": "CNMP",
                                        "price": "18.00"
                                      }
                                    },
                                    "example": [
                                      {
                                        "rate": 0.02,
                                        "title": "CNMP",
                                        "price": "18.00",
                                        "price_set": {
                                          "presentment_money": {
                                            "currency_code": "USD",
                                            "amount": "18.00"
                                          },
                                          "shop_money": {
                                            "amount": "18.00",
                                            "currency_code": "USD"
                                          }
                                        }
                                      }
                                    ]
                                  },
                                  "name": {
                                    "name": "name",
                                    "description": "SKU 标题，该字段值和 `title` 一致。",
                                    "type": "string",
                                    "example": "It's good Product"
                                  },
                                  "properties": {
                                    "name": "properties",
                                    "description": "商品定制信息。",
                                    "type": "array",
                                    "items": {
                                      "name": "properties",
                                      "description": "商品定制信息。",
                                      "type": "object",
                                      "properties": {
                                        "name": {
                                          "name": "name",
                                          "description": "商品定制信息名称。",
                                          "type": "string",
                                          "example": "Text"
                                        },
                                        "type": {
                                          "name": "type",
                                          "description": "定制信息类型。有效枚举值包含:\n- `text`：字符类型\n- `picture`：图片类型\n- `link`：链接类型",
                                          "type": "string",
                                          "example": "text"
                                        },
                                        "urls": {
                                          "name": "urls",
                                          "description": "商品定制信息链接。",
                                          "type": "array",
                                          "items": {
                                            "name": "urls",
                                            "description": "商品定制信息链接。",
                                            "type": "string",
                                            "example": "https://image.shopline.com"
                                          },
                                          "example": [
                                            "https://image.shopline.com"
                                          ]
                                        },
                                        "value": {
                                          "name": "value",
                                          "description": "商品定制信息内容。",
                                          "type": "string",
                                          "example": "Freedom"
                                        }
                                      },
                                      "example": {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    },
                                    "example": [
                                      {
                                        "name": "Text",
                                        "type": "text",
                                        "urls": [
                                          "https://image.shopline.com"
                                        ],
                                        "value": "Freedom"
                                      }
                                    ]
                                  },
                                  "quantity": {
                                    "name": "quantity",
                                    "description": "需发货的商品数量。",
                                    "type": "integer",
                                    "example": 20
                                  },
                                  "fulfillment_status": {
                                    "name": "fulfillment_status",
                                    "description": "商品行发货状态。  \n- `fulfilled`: 已发货  \n- `partial`: 部分发货  \n- `null`: 未发货",
                                    "type": "string",
                                    "example": "fulfilled"
                                  },
                                  "grams": {
                                    "name": "grams",
                                    "description": "商品重量（克）。",
                                    "type": "double",
                                    "example": 1
                                  },
                                  "tags": {
                                    "name": "tags",
                                    "description": "商品标签，当存在多个时用逗号分隔。",
                                    "type": "string",
                                    "example": "sales"
                                  },
                                  "gift_card": {
                                    "name": "gift_card",
                                    "description": "该商品是否为礼品卡商品。  \n- `true`：是礼品卡商品  \n- `false`：不是礼品卡商品",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "variant_id": {
                                    "name": "variant_id",
                                    "description": "商品的 SKU 序列号，商品款式的唯一标识 ID。 ",
                                    "type": "string",
                                    "example": "18056898121355865678441487"
                                  },
                                  "image_url": {
                                    "name": "image_url",
                                    "description": "退货商品的图片链接。",
                                    "type": "string",
                                    "example": "https://image.shopline.com/abc.jpg"
                                  },
                                  "price": {
                                    "name": "price",
                                    "description": "商品售价，商品详情页销售价格。",
                                    "type": "string",
                                    "example": "100.0"
                                  },
                                  "taxable": {
                                    "name": "taxable",
                                    "description": "该商品是否含税。\n- `true`：含税\n- `fasle`：不含税",
                                    "type": "boolean",
                                    "example": true
                                  },
                                  "attribute": {
                                    "name": "attribute",
                                    "description": "商品属性信息：名称 - 属性值。当有多个属性值时，以逗号分隔。例如：`Color-Red, Size-L`。",
                                    "type": "string",
                                    "example": "Color-Red, Size-L"
                                  },
                                  "vendor": {
                                    "name": "vendor",
                                    "description": "商品供应商。",
                                    "type": "string",
                                    "example": "Product supplier"
                                  },
                                  "sku": {
                                    "name": "sku",
                                    "description": "商品 SKU 序列号。",
                                    "type": "string",
                                    "example": "SKU1234"
                                  },
                                  "product_id": {
                                    "name": "product_id",
                                    "description": "SPU 序列号。",
                                    "type": "string",
                                    "example": "16056898121352174690861487"
                                  },
                                  "fulfillable_quantity": {
                                    "name": "fulfillable_quantity",
                                    "description": "商品行维度剩余可履约的商品数量。",
                                    "type": "integer",
                                    "example": 20
                                  },
                                  "location_id": {
                                    "name": "location_id",
                                    "description": "本地配送地点编号或普通配送地点编号。",
                                    "type": "string",
                                    "example": "5327026538935748524"
                                  }
                                },
                                "example": {
                                  "id": "405",
                                  "tax_lines": [
                                    {
                                      "rate": 0.02,
                                      "title": "CNMP",
                                      "price": "18.00",
                                      "price_set": {
                                        "presentment_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        },
                                        "shop_money": {
                                          "amount": "18.00",
                                          "currency_code": "USD"
                                        }
                                      }
                                    }
                                  ],
                                  "fulfillable_quantity": 20,
                                  "name": "It's good Product",
                                  "tags": "sales",
                                  "fulfillment_service": "Sf international",
                                  "taxable": true,
                                  "price": "100.0",
                                  "properties": [
                                    {
                                      "value": "Freedom",
                                      "name": "Text",
                                      "type": "text",
                                      "urls": [
                                        "https://image.shopline.com"
                                      ]
                                    }
                                  ],
                                  "sku": "SKU1234",
                                  "fulfillment_status": "fulfilled",
                                  "gift_card": true,
                                  "vendor": "Product supplier",
                                  "image_url": "https://image.shopline.com/abc.jpg",
                                  "product_id": "16056898121352174690861487",
                                  "variant_id": "18056898121355865678441487",
                                  "location_id": "5327026538935748524",
                                  "variant_title": "L/Red",
                                  "attribute": "Color-Red, Size-L",
                                  "grams": 1,
                                  "requires_shipping": true,
                                  "title": "It's good Product",
                                  "quantity": 20
                                }
                              },
                              "quantity": {
                                "name": "quantity",
                                "description": "发货单对应的发货数量。",
                                "type": "integer",
                                "example": 20
                              }
                            },
                            "example": {
                              "line_item": {
                                "quantity": 20,
                                "vendor": "Product supplier",
                                "attribute": "Color-Red, Size-L",
                                "fulfillable_quantity": 20,
                                "image_url": "https://image.shopline.com/abc.jpg",
                                "tags": "sales",
                                "title": "It's good Product",
                                "location_id": "5327026538935748524",
                                "sku": "SKU1234",
                                "variant_title": "L/Red",
                                "fulfillment_status": "fulfilled",
                                "id": "405",
                                "gift_card": true,
                                "tax_lines": [
                                  {
                                    "price": "18.00",
                                    "price_set": {
                                      "shop_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      },
                                      "presentment_money": {
                                        "amount": "18.00",
                                        "currency_code": "USD"
                                      }
                                    },
                                    "rate": 0.02,
                                    "title": "CNMP"
                                  }
                                ],
                                "fulfillment_service": "Sf international",
                                "taxable": true,
                                "name": "It's good Product",
                                "requires_shipping": true,
                                "properties": [
                                  {
                                    "type": "text",
                                    "urls": [
                                      "https://image.shopline.com"
                                    ],
                                    "value": "Freedom",
                                    "name": "Text"
                                  }
                                ],
                                "grams": 1,
                                "product_id": "16056898121352174690861487",
                                "variant_id": "18056898121355865678441487",
                                "price": "100.0"
                              },
                              "quantity": 20
                            }
                          },
                          "id": {
                            "name": "id",
                            "description": "退货商品行号。",
                            "type": "string",
                            "example": "RDP5860580372212396041"
                          },
                          "quantity": {
                            "name": "quantity",
                            "description": "退货单对应的商品退货数量。",
                            "type": "integer",
                            "example": 20
                          }
                        },
                        "example": {
                          "return_reason_note": "Product does not match the description",
                          "fulfillment_id": "RPP5873267430525507606",
                          "fulfillment_line_item": {
                            "line_item": {
                              "vendor": "Product supplier",
                              "properties": [
                                {
                                  "type": "text",
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text"
                                }
                              ],
                              "grams": 1,
                              "attribute": "Color-Red, Size-L",
                              "fulfillable_quantity": 20,
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "taxable": true,
                              "variant_id": "18056898121355865678441487",
                              "id": "405",
                              "requires_shipping": true,
                              "sku": "SKU1234",
                              "title": "It's good Product",
                              "location_id": "5327026538935748524",
                              "name": "It's good Product",
                              "product_id": "16056898121352174690861487",
                              "quantity": 20,
                              "gift_card": true,
                              "tax_lines": [
                                {
                                  "price_set": {
                                    "presentment_money": {
                                      "currency_code": "USD",
                                      "amount": "18.00"
                                    },
                                    "shop_money": {
                                      "amount": "18.00",
                                      "currency_code": "USD"
                                    }
                                  },
                                  "rate": 0.02,
                                  "title": "CNMP",
                                  "price": "18.00"
                                }
                              ],
                              "fulfillment_status": "fulfilled",
                              "price": "100.0",
                              "tags": "sales",
                              "fulfillment_service": "Sf international",
                              "variant_title": "L/Red"
                            },
                            "quantity": 20
                          },
                          "id": "RDP5860580372212396041",
                          "quantity": 20,
                          "return_reason": "NOT_AS_DESCRIBED"
                        }
                      },
                      "example": [
                        {
                          "id": "RDP5860580372212396041",
                          "quantity": 20,
                          "return_reason": "NOT_AS_DESCRIBED",
                          "return_reason_note": "Product does not match the description",
                          "fulfillment_id": "RPP5873267430525507606",
                          "fulfillment_line_item": {
                            "line_item": {
                              "price": "100.0",
                              "requires_shipping": true,
                              "vendor": "Product supplier",
                              "quantity": 20,
                              "attribute": "Color-Red, Size-L",
                              "title": "It's good Product",
                              "variant_id": "18056898121355865678441487",
                              "fulfillment_status": "fulfilled",
                              "image_url": "https://image.shopline.com/abc.jpg",
                              "sku": "SKU1234",
                              "tags": "sales",
                              "gift_card": true,
                              "grams": 1,
                              "fulfillable_quantity": 20,
                              "location_id": "5327026538935748524",
                              "product_id": "16056898121352174690861487",
                              "tax_lines": [
                                {
                                  "price": "18.00",
                                  "price_set": {
                                    "shop_money": {
                                      "currency_code": "USD",
                                      "amount": "18.00"
                                    },
                                    "presentment_money": {
                                      "currency_code": "USD",
                                      "amount": "18.00"
                                    }
                                  },
                                  "rate": 0.02,
                                  "title": "CNMP"
                                }
                              ],
                              "properties": [
                                {
                                  "urls": [
                                    "https://image.shopline.com"
                                  ],
                                  "value": "Freedom",
                                  "name": "Text",
                                  "type": "text"
                                }
                              ],
                              "id": "405",
                              "taxable": true,
                              "name": "It's good Product",
                              "variant_title": "L/Red",
                              "fulfillment_service": "Sf international"
                            },
                            "quantity": 20
                          }
                        }
                      ]
                    },
                    "return_reason": {
                      "name": "return_reason",
                      "description": "商品退货原因。",
                      "type": "string",
                      "example": "Reason"
                    },
                    "status": {
                      "name": "status",
                      "description": "退货单状态。\n- `OPEN`：退货中\n- `CLOSED`：退货完成且已退款完成",
                      "type": "string",
                      "example": "OPEN"
                    },
                    "created_at": {
                      "name": "created_at",
                      "description": "退货单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。  \n\n例子: `2024-08-31T02:20:26+08:00`",
                      "type": "string",
                      "example": "2021-08-31T02:20:26+08:00"
                    }
                  },
                  "example": {
                    "order_id": "21058605762597644309430942",
                    "return_line_items": [
                      {
                        "fulfillment_line_item": {
                          "quantity": 20,
                          "line_item": {
                            "gift_card": true,
                            "id": "405",
                            "tags": "sales",
                            "quantity": 20,
                            "grams": 1,
                            "requires_shipping": true,
                            "fulfillment_service": "Sf international",
                            "location_id": "5327026538935748524",
                            "sku": "SKU1234",
                            "vendor": "Product supplier",
                            "attribute": "Color-Red, Size-L",
                            "tax_lines": [
                              {
                                "price": "18.00",
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.02,
                                "title": "CNMP"
                              }
                            ],
                            "product_id": "16056898121352174690861487",
                            "taxable": true,
                            "variant_id": "18056898121355865678441487",
                            "fulfillable_quantity": 20,
                            "fulfillment_status": "fulfilled",
                            "name": "It's good Product",
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "title": "It's good Product",
                            "price": "100.0",
                            "properties": [
                              {
                                "value": "Freedom",
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ]
                              }
                            ],
                            "variant_title": "L/Red"
                          }
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 20,
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description",
                        "fulfillment_id": "RPP5873267430525507606"
                      }
                    ],
                    "return_reason": "Reason",
                    "status": "OPEN",
                    "created_at": "2021-08-31T02:20:26+08:00",
                    "id": "2605860580357012238342"
                  }
                },
                "example": [
                  {
                    "return_line_items": [
                      {
                        "fulfillment_id": "RPP5873267430525507606",
                        "fulfillment_line_item": {
                          "line_item": {
                            "variant_id": "18056898121355865678441487",
                            "variant_title": "L/Red",
                            "location_id": "5327026538935748524",
                            "tags": "sales",
                            "price": "100.0",
                            "tax_lines": [
                              {
                                "price_set": {
                                  "presentment_money": {
                                    "currency_code": "USD",
                                    "amount": "18.00"
                                  },
                                  "shop_money": {
                                    "amount": "18.00",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.02,
                                "title": "CNMP",
                                "price": "18.00"
                              }
                            ],
                            "properties": [
                              {
                                "name": "Text",
                                "type": "text",
                                "urls": [
                                  "https://image.shopline.com"
                                ],
                                "value": "Freedom"
                              }
                            ],
                            "fulfillable_quantity": 20,
                            "image_url": "https://image.shopline.com/abc.jpg",
                            "id": "405",
                            "vendor": "Product supplier",
                            "gift_card": true,
                            "sku": "SKU1234",
                            "taxable": true,
                            "requires_shipping": true,
                            "fulfillment_status": "fulfilled",
                            "quantity": 20,
                            "name": "It's good Product",
                            "grams": 1,
                            "fulfillment_service": "Sf international",
                            "attribute": "Color-Red, Size-L",
                            "product_id": "16056898121352174690861487",
                            "title": "It's good Product"
                          },
                          "quantity": 20
                        },
                        "id": "RDP5860580372212396041",
                        "quantity": 20,
                        "return_reason": "NOT_AS_DESCRIBED",
                        "return_reason_note": "Product does not match the description"
                      }
                    ],
                    "return_reason": "Reason",
                    "status": "OPEN",
                    "created_at": "2021-08-31T02:20:26+08:00",
                    "id": "2605860580357012238342",
                    "order_id": "21058605762597644309430942"
                  }
                ]
              }
            },
            "example": {
              "returns": [
                {
                  "return_reason": "Reason",
                  "status": "OPEN",
                  "created_at": "2021-08-31T02:20:26+08:00",
                  "id": "2605860580357012238342",
                  "order_id": "21058605762597644309430942",
                  "return_line_items": [
                    {
                      "quantity": 20,
                      "return_reason": "NOT_AS_DESCRIBED",
                      "return_reason_note": "Product does not match the description",
                      "fulfillment_id": "RPP5873267430525507606",
                      "fulfillment_line_item": {
                        "line_item": {
                          "sku": "SKU1234",
                          "grams": 1,
                          "location_id": "5327026538935748524",
                          "product_id": "16056898121352174690861487",
                          "gift_card": true,
                          "vendor": "Product supplier",
                          "fulfillment_status": "fulfilled",
                          "quantity": 20,
                          "taxable": true,
                          "properties": [
                            {
                              "name": "Text",
                              "type": "text",
                              "urls": [
                                "https://image.shopline.com"
                              ],
                              "value": "Freedom"
                            }
                          ],
                          "requires_shipping": true,
                          "tags": "sales",
                          "image_url": "https://image.shopline.com/abc.jpg",
                          "price": "100.0",
                          "fulfillment_service": "Sf international",
                          "id": "405",
                          "title": "It's good Product",
                          "fulfillable_quantity": 20,
                          "variant_id": "18056898121355865678441487",
                          "variant_title": "L/Red",
                          "attribute": "Color-Red, Size-L",
                          "name": "It's good Product",
                          "tax_lines": [
                            {
                              "price_set": {
                                "presentment_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                },
                                "shop_money": {
                                  "amount": "18.00",
                                  "currency_code": "USD"
                                }
                              },
                              "rate": 0.02,
                              "title": "CNMP",
                              "price": "18.00"
                            }
                          ]
                        },
                        "quantity": 20
                      },
                      "id": "RDP5860580372212396041"
                    }
                  ]
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "422": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "根据指定的订单 ID 查询。": {
              "description": "根据指定的订单 ID 查询。",
              "value": {
                "returns": [
                  {
                    "created_at": "2022-11-14T02:06:13-10:00",
                    "id": "2605672367742487366663",
                    "order_id": "21056723668607440019421941",
                    "return_line_items": [
                      {
                        "fulfillment_id": "22056723668675555553461941",
                        "fulfillment_line_item": {
                          "line_item": {
                            "variant_title": " YELLOW",
                            "tags": "",
                            "variant_id": "18056054853543945916883534",
                            "grams": 900,
                            "name": "Goods that do not require transportation",
                            "properties": [],
                            "fulfillment_service": "",
                            "id": "387",
                            "product_id": "16056054853539919384943534",
                            "quantity": 1,
                            "location_id": null,
                            "gift_card": false,
                            "requires_shipping": false,
                            "vendor": null,
                            "attribute": "Color -  YELLOW",
                            "fulfillable_quantity": 0,
                            "image_url": "https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/c0df9e7387914f97a9739514269d29c4.jpeg?w=395&h=263,https://d2n979dmt31clo.cloudfront.net/image/store/3300003215/219/49bde8461ca648ab966be7505f6cf2f4.jpeg?w=500&h=375",
                            "sku": "Test202009252002010",
                            "title": "Goods that do not require transportation",
                            "fulfillment_status": "null",
                            "price": "129.89",
                            "tax_lines": [
                              {
                                "price_set": {
                                  "presentment_money": {
                                    "amount": "6.05",
                                    "currency_code": "USD"
                                  },
                                  "shop_money": {
                                    "amount": "6.05",
                                    "currency_code": "USD"
                                  }
                                },
                                "rate": 0.0466,
                                "title": "product_tax",
                                "price": "6.05"
                              }
                            ],
                            "taxable": true
                          },
                          "quantity": null
                        },
                        "id": "RDP5672367743594666094",
                        "quantity": 1,
                        "return_reason": null,
                        "return_reason_note": null
                      }
                    ],
                    "return_reason": null,
                    "status": "CLOSED"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/return.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询退货单",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_returns"
  ]
}
```